# Neanka's V Rising Press F Mod

Original mod by [Neanka](https://v-rising.thunderstore.io/package/Neanka/). Ported to Gloomrot by [p1xel8ted](https://v-rising.thunderstore.io/package/p1xel8ted/).

## Features

- Hold down F to loot everything in a container.
- Hot reloadable via Bloodstone
- Configurable key and hold time via config file.

## Installation

1. Install [BepInExPack V Rising](https://v-rising.thunderstore.io/package/BepInEx/BepInExPack_V_Rising/)
2. Install [Bloodstone API](https://v-rising.thunderstore.io/package/deca/Bloodstone/)
3. 
   1. **Not using hot reload** - Install mod using your preferred Thunderstore mod manager. To install manually, place the `PressF.dll` file into your `(VRising folder)/BepInEx/plugins` folder.
   2. **Using hot reload** - Install manually, place the `PressF.dll` file into your `(VRising folder)/BepInEx/BloodstonePlugins` folder.
4. Done!

## Configuration
Config file is located at `(VRising folder)/BepInEx/config/neanka.vrising.pressf.cfg`
```ini
[General]

## How long should you hold down the key in seconds
# Setting type: Single
# Default value: 0.5
Delay = 0.5

## KeyCode value for Key. List here under Properties. https://docs.unity3d.com/ScriptReference/KeyCode.html
# Setting type: KeyCode
# Default value: F
# Acceptable values: None, Backspace, Tab, Clear, Return, Pause, Escape, Space, Exclaim, DoubleQuote, Hash, Dollar, Percent, Ampersand, Quote, LeftParen, RightParen, Asterisk, Plus, Comma, Minus, Period, Slash, Alpha0, Alpha1, Alpha2, Alpha3, Alpha4, Alpha5, Alpha6, Alpha7, Alpha8, Alpha9, Colon, Semicolon, Less, Equals, Greater, Question, At, LeftBracket, Backslash, RightBracket, Caret, Underscore, BackQuote, A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, LeftCurlyBracket, Pipe, RightCurlyBracket, Tilde, Delete, Keypad0, Keypad1, Keypad2, Keypad3, Keypad4, Keypad5, Keypad6, Keypad7, Keypad8, Keypad9, KeypadPeriod, KeypadDivide, KeypadMultiply, KeypadMinus, KeypadPlus, KeypadEnter, KeypadEquals, UpArrow, DownArrow, RightArrow, LeftArrow, Insert, Home, End, PageUp, PageDown, F1, F2, F3, F4, F5, F6, F7, F8, F9, F10, F11, F12, F13, F14, F15, Numlock, CapsLock, ScrollLock, RightShift, LeftShift, RightControl, LeftControl, RightAlt, LeftAlt, RightCommand, RightApple, LeftCommand, LeftApple, LeftWindows, RightWindows, AltGr, Help, Print, SysReq, Break, Menu, Mouse0, Mouse1, Mouse2, Mouse3, Mouse4, Mouse5, Mouse6
Key = F
```